Last Comment Bug 580223 - [mochitest-browser-chrome] numerous browser_searching.js failures on SeaMonkey
: [mochitest-browser-chrome] numerous browser_searching.js failures on SeaMonkey
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey2.1a3
Assigned To: Robert Kaiser
:
Mentors:
Depends on: 558287 566593
Blocks: SmTestFail SMAddonMgr
  Show dependency treegraph
 
Reported: 2010-07-20 05:09 PDT by Robert Kaiser
Modified: 2010-07-25 13:14 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix the prefs (not the test) [Checkin: Comment 6] (1.59 KB, patch)
2010-07-22 12:11 PDT, Robert Kaiser
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Robert Kaiser 2010-07-20 05:09:33 PDT
After bug 558287 landed browser_searching.js, it produces numerous failures on SeaMonkey. I suspect that adding the prefs it added in firefox.js on our side will fix those as well.
Comment 1 Robert Kaiser 2010-07-20 05:22:57 PDT
Preliminary testing doesn't look that good with just those prefs added. Someone needs to take a deeper look into this, either me or preferably someone else.
Comment 2 Jens Hatlak (:InvisibleSmiley) 2010-07-20 12:33:19 PDT
Do you refer to the *test* file that was added? This bug report is quite vague, I thought it referred to an actual functionality breakage.
Comment 3 Robert Kaiser 2010-07-20 12:57:25 PDT
yes, browser_searching.js is a test file and it produces about 80 or so mochitest-browser-chrome test failures.
Comment 4 Robert Kaiser 2010-07-22 12:11:29 PDT
Created attachment 459523 [details] [diff] [review]
fix the prefs (not the test) [Checkin: Comment 6]

This patch just fixes the prefs. It doesn't really help the test, I guess it has clever design that hardwires them to some value anyhow and uses local mochi.test URLs instead of querying the real AMO service anyhow.
Still, we should set those in our build in any case, so I guess I should better attach them and get them reviewed, right? ;-)
Comment 5 Justin Wood (:Callek) (Away until Aug 29) 2010-07-24 22:44:15 PDT
Comment on attachment 459523 [details] [diff] [review]
fix the prefs (not the test) [Checkin: Comment 6]

seems to work:

https://services.addons.mozilla.org/en-US/firefox/api/1/search/chatzilla/all/2/windows/2.0
and
https://services.addons.mozilla.org/en-US/seamonkey/api/1/search/chatzilla/all/2/windows/2.0

return the same data... (granted I used a pretty contrived search term and an app version we won't see on our nightlies, but still.
Comment 6 Ian Neal 2010-07-25 04:03:40 PDT
Comment on attachment 459523 [details] [diff] [review]
fix the prefs (not the test) [Checkin: Comment 6]

http://hg.mozilla.org/comm-central/rev/91d9bc2eeaa3
Lets see where this takes things to start with
Comment 7 Robert Kaiser 2010-07-25 13:14:56 PDT
Looks like bug 566593 actually fixed that, but I'll mark this as mine for the patch that was checked in here.

Note You need to log in before you can comment on or make changes to this bug.